> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.60.md).

# 3.60

### [PSDK\_3.60.0](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id46)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-60-0)

| Ticket    | Type        | Description                                                                                                                                                                                                        |
| --------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| PSDK-3974 | Enhancement | <ul><li>Reset card acquisition reference when terminal aborts acquisition.</li></ul>                                                                                                                               |
| PSDK-4017 | Enhancement | <ul><li>Implemented SAF Update notification for AGPA</li></ul>                                                                                                                                                     |
| PSDK-4109 | Enhancement | <ul><li>Resolved SaleId re-generating on PSDK start by loading the saved settings before storing update values, android-specific</li></ul>                                                                         |
| PSDK-4143 | Enhancement | <ul><li>Implemented StatusInformation structure returned within every Event providing detailed information on operation outcome. For more details see updates in Error Handling section of documentation</li></ul> |
| PSDK-4149 | Enhancement | <ul><li>Implemented PLCC support for SCA</li></ul>                                                                                                                                                                 |
| PSDK-4263 | Enhancement | <ul><li>Added support to get card token from CP API encrypted data</li></ul>                                                                                                                                       |
| PSDK-4292 | Enhancement | <ul><li>Introduced ScannerManager for accessing e-series terminals hardware scanners</li></ul>                                                                                                                     |
| PSDK-4312 | Enhancement | <ul><li>Fixed an issue not to return PaymentType if it is not returned by the SCA terminal.</li></ul>                                                                                                              |
| PSDK-4359 | Enhancement | <ul><li>Added support for donations in Transmit Request.</li></ul>                                                                                                                                                 |
| PSDK-4360 | Enhancement | <ul><li>Exclude IX-series devices from Verifone payment devices</li></ul>                                                                                                                                          |
| PSDK-4370 | Enhancement | <ul><li>process EMV\_CVM type DEVICE for SCA</li></ul>                                                                                                                                                             |
| PSDK-4385 | Enhancement | <ul><li>Provide acquirer-specific response code in Payment::getAcquirerResponseCode() for SCA terminal</li></ul>                                                                                                   |
| PSDK-4297 | BugFix      | <ul><li>Set PaymentState to kNone when disconnected</li></ul>                                                                                                                                                      |
| PSDK-4299 | BugFix      | <ul><li>Now PSDK will have code which is capable to parse JSON to fill LoginRequest objects. But PSDK still does not waits for incoming LoginRequests and is not capable to trigger any according event.</li></ul> |
| PSDK-4306 | BugFix      | <ul><li>Fixed the nexo integrated test Payment extend timeout on TransactionStatus busy.</li></ul>                                                                                                                 |
| PSDK-4326 | BugFix      | <ul><li>Resolved another issue with PaymentDeviceState during initialization</li></ul>                                                                                                                             |
| PSDK-4329 | BugFix      | <ul><li>Fix potential PSDK initialization failure.</li></ul>                                                                                                                                                       |
| PSDK-4336 | BugFix      | <ul><li>Fixed PSDK listening mode discovery procedure, NEXO terminals can now connect to PSDK in client mode</li></ul>                                                                                             |
| PSDK-4389 | BugFix      | <ul><li>Set {{TransactionDeclinedErrors::declined\_general value to 632, to avoid conflict with }}{{{}TransactionDeclinedErrors::invocice\_mismatch{}}}{{{}{}}}{{{}{}}}</li></ul>                                  |
| PSDK-4396 | BugFix      | <ul><li>Added support for donations in Payment request/response.</li></ul>                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.60.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
